Bug 463340 - NM routed traffic over the slower of two interfaces.
NM routed traffic over the slower of two interfaces.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 18:50 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-14 15:12:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-09-22 18:50:59 EDT
I had my laptop plugged into my router via gigabit ethernet, and started scp'ing ~10GB of data to another machine.  At some point, NM realised it could auth with my access point, and get to the same host via wireless..

$ route
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
192.168.0.0     *               255.255.0.0     U     0      0        0 wlan0
192.168.0.0     *               255.255.0.0     U     0      0        0 eth0
default         firewall.kernel 0.0.0.0         UG    0      0        0 eth0

At this point, the scp slowed to a crawl (measured in KB/s rather than MB/s)

When I did an ifdown wlan0, the speed went back up again.

If we have a routable interface via ethernet, why bother bringing up wireless unless we ask for it?  (especially if they both end up with the same netmask)
Comment 1 Nick Boldt 2008-11-07 14:35:53 EST
+1. 

See also https://bugzilla.redhat.com/show_bug.cgi?id=454955 for similar request / rationale.
Comment 2 Dan Williams 2009-02-14 15:12:01 EST
This should be fixed, NM will now use metrics with device routes so that faster devices (Ethernet > Wifi > Mobile Broadband) will have a lower metric, and thus be more preferred.

Note You need to log in before you can comment on or make changes to this bug.